import request from '@/utils/request'

// 查询进组培训模版列表
export function listFirstPlanTmpl(query) {
  return request({
    url: '/bccnew/firstPlanTmpl/list',
    method: 'get',
    params: query
  })
}

// 查询进组培训模版详细
export function getFirstPlanTmpl(id) {
  return request({
    url: '/bccnew/firstPlanTmpl/' + id,
    method: 'get'
  })
}

// 新增进组培训模版
export function addFirstPlanTmpl(data) {
  return request({
    url: '/bccnew/firstPlanTmpl',
    method: 'post',
    data: data
  })
}

// 修改进组培训模版
export function updateFirstPlanTmpl(data) {
  return request({
    url: '/bccnew/firstPlanTmpl',
    method: 'put',
    data: data
  })
}

// 删除进组培训模版
export function delFirstPlanTmpl(id) {
  return request({
    url: '/bccnew/firstPlanTmpl/' + id,
    method: 'delete'
  })
}

// 导出进组培训模版
export function exportFirstPlanTmpl(query) {
  return request({
    url: '/bccnew/firstPlanTmpl/export',
    method: 'get',
    params: query
  })
}
